package de.apps4ics.mountainnavigation.pois;

/**
 * Created by Vinz on 03.11.2015.
 */
public class Path extends Poi {
    long gp_e_id;
    long length;
    int exposed;
    int diffWet;
    int giddiness;
    int climbing;
    DbGeoPoint end;

    public Path(long _id) {
        super(_id, Types.PATH);
    }
    public Path() {
        super(Types.PATH);
    }
    public Path(long _id, long _length, int exposed, int diff_wet, int giddiness, int climbing, DbGeoPoint start, DbGeoPoint end){
        super(_id, Types.PATH, start);
        this.length = _length;
        this.exposed = exposed;
        this.diffWet = diff_wet;
        this.giddiness = giddiness;
        this.climbing = climbing;
        this.end = end;
        this.gp_e_id = end.getId();
    }

    public long getStartGpId() {
        return gpId;
    }

    public DbGeoPoint getStartGp(){
        return gp;
    }

    public long getEndGpId() {
        return gp_e_id;
    }


    public DbGeoPoint getEndGp(){
        return end;
    }

    public long getLength() {
        return length;
    }

    public int getExposed() {
        return exposed;
    }

    public int getDiffWet() {
        return diffWet;
    }

    public int getGiddiness() {
        return giddiness;
    }

    public int getClimbing() {
        return climbing;
    }
}